<template>
    <v-card
        height="100%"
        class="admin-drawer"
    >
        <v-navigation-drawer
            permanent
            :expand-on-hover="this.$vuetify.breakpoint.name === 'xs' ? true : false"
        >
            <v-list-item link :to="{name: 'Home'}">
                <v-list-item-content>
                    <v-list-item-title class="title text-center">
                        <v-img
                            alt="Vetvite logo bleu"
                            class="mx-auto mb-4"
                            contain
                            min-width="20"
                            src="@/assets/images/logo/logo-blue.png"
                            width="50"
                        />
                        <span class="hidden-xs-only">Vetvite administration</span>
                    </v-list-item-title>
                </v-list-item-content>
            </v-list-item>
            <v-divider></v-divider>
            <v-list dense nav>
                <v-list-item
                    v-for="item in adminRoutesItem"
                    :key="item.title"
                    :to="item.route"
                    link
                >
                    <v-list-item-icon>
                        <v-icon>{{ item.icon }}</v-icon>
                    </v-list-item-icon>
                    <v-list-item-content>
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                    </v-list-item-content>
                </v-list-item>
            </v-list>
            <template v-slot:append>
                <v-list dense nav>
                    <v-list-item
                        v-for="item in adminDrawerBottom"
                        :key="item.title"
                        :to="item.route"
                        :class="item.className"
                        link
                        @click="handleFunctionCall(item.event)"
                    >
                        <v-list-item-icon>
                            <v-icon>{{ item.icon }}</v-icon>
                        </v-list-item-icon>
                        <v-list-item-content>
                            <v-list-item-title>{{ item.title }}</v-list-item-title>
                        </v-list-item-content>
                    </v-list-item>
                </v-list>
            </template>
        </v-navigation-drawer>
    </v-card>
</template>

<script>
import {mapActions} from 'vuex';

export default {
    name: 'Drawer', 
    data () {
        return {
            adminRoutesItem: [
                {title: 'Cabinets', icon: 'mdi-city', route: {name: 'Offices'} },
                {title: 'Professionnels', icon: 'mdi-account-multiple', route: {name: 'Pros'}},
                {title: 'Clients', icon: 'mdi-account-multiple', route: {name: 'Customers'}},
                {title: 'Types de soins', icon: 'mdi-clipboard-outline', route: {name: 'CareTypes'}},
            ],
            adminDrawerBottom: [
                {title: 'Retour au site', icon: 'mdi-home', route: {name: 'Home'}, className: 'primary white--text'},
                {title: 'Déconnexion', icon: 'mdi-logout', className: 'grey lighten-2', event: 'handleLogout'},
            ]
        }
    },
    methods: {
        ...mapActions(['logout']),
        handleLogout() {
            this.logout()
                .then(() => {
                    this.$router.push({ name: 'Home' }, undefined, () => { location.href = this.$route.hash })
                })
        },
        handleFunctionCall(funcName) {
            this[funcName]()
        }
    },
}
</script>

<style scoped>
    .admin-drawer {
        position: fixed;
        z-index: 30;
    }
</style>